Page MenuHomePhabricator

Hard to spot removing a space near a line break in the visual diff
Closed, ResolvedPublic1 Estimate Story Points

Description

This change is really hard to spot. See the small red line at the end of the second line.

@Esanders says, "We should file and try to fix this with CSS somehow."

(from https://www.mediawiki.org/wiki/User:Prtksxna/VeDiff#Removing_a_space_near_a_line-break )

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (31ed22557)
VisualEditor/VisualEditor : masterUse white-space:pre-wrap for text changes

Event Timeline

Prtksxna created this task.Jul 10 2017, 8:53 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 10 2017, 8:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

white-space: pre-wrap; would prevent the whitespace collapsing.

Deskana triaged this task as Low priority.Jul 11 2017, 7:23 PM
Deskana moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 365008 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Use white-space:pre-wrap for text changes

https://gerrit.wikimedia.org/r/365008

Change 365008 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Use white-space:pre-wrap for text changes

https://gerrit.wikimedia.org/r/365008

Change 365423 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (31ed22557)

https://gerrit.wikimedia.org/r/365423

Jdforrester-WMF closed this task as Resolved.Jul 16 2017, 8:52 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 16 2017, 8:52 PM

Change 365423 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (31ed22557)

https://gerrit.wikimedia.org/r/365423